document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_13900
--- +++ @@ -50,6 +50,6 @@ RET=$? if [ $RET -eq 0 ];then - echo "Generated plot from 'data/$NAME.txt' into 'graphs/$NAME.png'" + echo "Plot generated from 'data/$NAME.txt' into 'graphs/$NAME.png'" fi
bash
d_bash_13901
--- +++ @@ -17,6 +17,6 @@ destination=$backupdir$var/$today mkdir -p $destination rsync -arq $source/ $destination - rm -rf $source/* + rm -rf $source/..?* $source/.[!.]* $source/* fi done
bash
d_bash_13902
--- +++ @@ -1,6 +1,7 @@ # Shortcuts alias c='clear' alias h='history' +alias hgrep='history | grep' # Extend existing commands alias ls='ls -FG'
bash
d_bash_13903
--- +++ @@ -10,7 +10,8 @@ exit 1 fi -dir=/home/fac_files/lnls-fac +# dir=/home/fac_files/lnls-fac +dir=/home/fac if [ -d $dir ]; then cd $dir git clone ssh://git@github.com/lnls-fac/scripts
bash
d_bash_13904
--- +++ @@ -22,6 +22,9 @@ export GOPATH="$HOME/go" export PATH=$PATH:$GOPATH/bin -export DOCKER_HOST=tcp://$(boot2docker ip 2>/dev/null):2375 -export LANG=en_US.UTF-8 -export LC_CTYPE=en_US.UTF-8 +if [[ "$(boot2docker status)" -eq "running" ]] +then + export DOCKER_HOST=tcp://$(boot2docker ip 2>/dev/null):2375 +...
bash
d_bash_13905
--- +++ @@ -14,7 +14,7 @@ wget -q https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh -O miniconda.sh bash miniconda.sh -b -p $HOME/.conda -$HOME/.conda/bin/conda install -c conda-forge --yes conda=4.1 conda-smithy python=3 tornado pygithub statuspage +$HOME/.conda/bin/conda install -c conda-for...
bash
d_bash_13906
--- +++ @@ -2,6 +2,27 @@ set -e set -o pipefail + +if [[ ${PLATFORM} == "android" ]]; then + + # Install android ndk + echo "Downloading ndk..." + curl -L https://dl.google.com/android/repository/android-ndk-r13b-linux-x86_64.zip -o ndk.zip + echo "Done." + + # Extract android ndk + echo "Extrac...
bash
d_bash_13907
--- +++ @@ -3,6 +3,7 @@ # Aliases alias vup="vagrant up" +alias vupl="vagrant up 2>&1 | tee vagrant.log" alias vh="vagrant halt" alias vs="vagrant suspend" alias vr="vagrant resume"
bash
d_bash_13908
--- +++ @@ -1,5 +1,5 @@ alias e="/Applications/Emacs.app/Contents/MacOS/bin/emacsclient -n" -alias jek="jekyll --pygments --auto --server" +alias gitify="git svn clone -s --prefix=svn/" alias pj="pastejour" # ruby and rails bits
bash
d_bash_13909
--- +++ @@ -8,17 +8,36 @@ SOLR_PORT="8080" SOLR_INDEX="biblio" +function generate_match_query() { +if [ $# == 1 ]; then +PPN=$1 + cat <<EOF +{ "match": { "id" :"$PPN"} } +EOF +else + cat <<EOF +{ "match_all": {} } +EOF +fi +} + if [ $# != 1 ]; then - echo "usage: $0 PPN" + echo "usage: $0 --all" + e...
bash
d_bash_13910
--- +++ @@ -1,16 +1,6 @@ #!/bin/bash set -eu -o pipefail -# shellcheck disable=SC1091 -os_id=$(. /etc/os-release; echo "$ID") - -# Install Go Programming Language -case $os_id in - ol | amzn) - curl -sSL https://storage.googleapis.com/golang/go1.8.linux-amd64.tar.gz | - tar xzf - -C /usr/local - ;; - ...
bash
d_bash_13911
--- +++ @@ -9,10 +9,12 @@ fi echo "Deleting content of" $path mv $path/res /tmp/res + rm -rf /tmp/userSettings + rm -rf /tmp/res mv $path/userSettings /tmp/userSettings rm -rf $path/ - mv /tmp/res $path/res - mv /tmp/userSettings $path/userSettings + mv /tmp/res $path/ + mv /tmp/userSettings $pat...
bash
d_bash_13912
--- +++ @@ -12,10 +12,10 @@ echo '' pause 'Press [Enter] to run the Rvdsim simulator ...' -../build/bin/rvdsim $1/rvdsim_config.json +../build/bin/rvdsim $1/rvdsim_config.json | tee $1/rvdsim_config.log pause 'Press [Enter] to generate a plot of the chaser path ...' -python ../python/plot_chaser_path.py $1/plo...
bash
d_bash_13913
--- +++ @@ -4,28 +4,19 @@ while [ 1 ]; do IP1=$(cat $GLOBAL_IP_FILE) -# while [ -z "$IP1" ]; do -# IP1="$(curl -s ifconfig.co)"; -# sleep 10; -# done; -# echo "IP1 = $IP1" - -# sleep 60; - IP2=""; - while [ -z "$IP2" ]; do + while [ 1 ]; do IP2="$(curl -s ifconfig.c...
bash
d_bash_13914
--- +++ @@ -7,7 +7,7 @@ logdir=$1 maxage=$2 -dateformat="+%Y%m%d_%H" +dateformat="+%Y%m%d_%H%M%S" date=`date $dateformat` @@ -31,4 +31,3 @@ rm -f $logdir/engine.log.*$timestamp.gz fi done -
bash
d_bash_13915
--- +++ @@ -23,7 +23,6 @@ install_cask postman install_cask slack install_cask zoom -install_cask vlc echo "Installing Quick Look plugins..."
bash
d_bash_13916
--- +++ @@ -1,7 +1,5 @@ #!/bin/sh - -#!/bin/sh -if [ "$#" -ne 1 ] +if [ "$#" -ne 3 ] then echo "Usage: $0 WIDTH HEIGHT EV_COUNT" >&2 exit 1 @@ -51,7 +49,7 @@ for (( x=1; x<=$WIDTH; x++ )) do CODE=$(( ( $RANDOM % $2 ) + $1 )) - echo $CODE" \c" + echo -n $CODE" " done echo ...
bash
d_bash_13917
--- +++ @@ -14,5 +14,5 @@ # vagrant mounts the share as the wrong user (vagrant) # umount and remount as otm. -mountpoint -q /usr/local/otm/app/ || umount /usr/local/otm/app/ +mountpoint -q /usr/local/otm/app/ && umount /usr/local/otm/app/ mount -t vboxsf -o uid=`id -u otm`,gid=`id -g vagrant` share /usr/local/o...
bash
d_bash_13918
--- +++ @@ -4,9 +4,16 @@ source $(dirname "${BASH_SOURCE[0]:-$0}")/utilfuncs.sh -sudo mkdir -p /usr/share/fonts/myrica -sudo curl -L https://github.com/tomokuni/Myrica/raw/master/product/MyricaM.zip -o /tmp/MyricaM.zip -(cd /tmp && sudo unzip -o MyricaM.zip -d /usr/share/fonts/myrica) +# myrica +# sudo mkdir -p ...
bash
d_bash_13919
--- +++ @@ -2,7 +2,7 @@ sudo apt-get -y install xubuntu-community-wallpapers -mkdir ~/Pictures/Wallpapers/ -cp /usr/share/xfce4/backdrops/Mountainous_View_by_Sven_Scheuermier.jpg ~/Pictures/Wallpapers/ +mkdir -p ~/Pictures/Wallpapers/ +cp /usr/share/xfce4/backdrops/Mountainous_View_by_Sven_Scheuermeier.jpg ~/Pic...
bash
d_bash_13920
--- +++ @@ -28,7 +28,10 @@ # Stop right away if the build fails set -e -$(dirname $0)/build-go.sh cmd/integration + +if [[ -z $KUBE_NO_BUILD_INTEGRATION ]]; then + $(dirname $0)/build-go.sh cmd/integration +fi start_etcd
bash
d_bash_13921
--- +++ @@ -13,7 +13,7 @@ cd $(dirname $0)/.. -make "$@" +make "$@" clean all make "$@" check # Upload coverage
bash
d_bash_13922
--- +++ @@ -2,7 +2,7 @@ # Copy the Laradock configuration files cp .laradock/.env laradock/ -cp -R .laradock/ laradock/ +cp -R .laradock/** laradock/ # Build and start the Laradock Docker containers cd laradock && docker-compose up --build -d workspace php-fpm nginx mariadb
bash
d_bash_13923
--- +++ @@ -7,4 +7,4 @@ if [ -d "venv" ]; then . venv/bin/activate fi -python app.py > /dev/null +exec python app.py > /dev/null
bash
d_bash_13924
--- +++ @@ -13,5 +13,6 @@ $TERMINAL_NOTIFIER -sender com.apple.Terminal \ -title "Homebrew Updates Available" \ -subtitle "The following formulae are outdated:" \ - -message "$updatable" + -message "$updatable" \ + -sound default fi
bash
d_bash_13925
--- +++ @@ -4,14 +4,9 @@ $BASE/new/devstack-gate/devstack-vm-gate.sh -# Ideally devstack would only install dependencies -# rather than starting services, but for now unstack is -# a cheap way of accomplishing the same result. -$BASE/new/devstack/unstack.sh - # Add a rootwrap filter to support test-only # conf...
bash
d_bash_13926
--- +++ @@ -15,4 +15,9 @@ pg_ctlcluster 9.1 main stop mv /var/lib/postgresql /srv ln -s /srv/postgresql/ /var/lib + +mv /tmp /srv +mkdir /tmp +mount --bind /srv/tmp /tmp +echo "/srv/tmp /tmp bind defaults,bind 0 0" >> /etc/fstab pg_ctlcluster 9.1 main start
bash
d_bash_13927
--- +++ @@ -11,6 +11,7 @@ gitbook build doc/manual $TMP_OUT/manual cp doc/landing.html $TMP_OUT/index.html cp doc/sequins.svg doc/sequins_small.png doc/font-awesome.min.css doc/flexblocks-responsive.css $TMP_OUT/ +echo sequins.io > $TMP_OUT/CNAME cd $TMP_OUT git init
bash
d_bash_13928
--- +++ @@ -16,6 +16,7 @@ -x src/005-asetup \ src/004-davinci \ src/007-testjobs \ + src/094-attachm...
bash
d_bash_13929
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash mkdir /spinnaker cd /spinnaker -git clone https://github.com/spinnaker/clouddriver.git 1>&2 +git clone -b release-1.8.x https://github.com/spinnaker/clouddriver.git 1>&2 echo "executing policy-diff" /src/policy_diff.py /spinnaker/clouddriver/clouddriver-aws
bash
d_bash_13930
--- +++ @@ -21,5 +21,3 @@ alias downloads="cddir ~/Downloads" alias etc="cddirls /etc" - -alias osu="cddirls ~/Documents/OSU"
bash
d_bash_13931
--- +++ @@ -3,6 +3,7 @@ ELLIPSIS_INIT=1 # Set path variables +ELLIPSIS_PATH="${ELLIPSIS_PATH:-$HOME/.ellipsis}" ELLIPSIS_BIN="$ELLIPSIS_PATH/bin" ELLIPSIS_SRC="$ELLIPSIS_PATH/src"
bash
d_bash_13932
--- +++ @@ -9,6 +9,10 @@ ip addr show sleep 60 cat /var/log/opsbro/gossip.log + opsbro gossip members + ping -c 1 172.17.0.1 -W 1 + ping -c 1 172.17.0.2 -W 1 + ping -c 1 172.17.0.3 -W 1 exit 1 fi @@ -26,6 +30,10 @@ if [ $NB_MEMBERS != 2 ]; then echo "BAD number of members: $NB_...
bash
d_bash_13933
--- +++ @@ -2,7 +2,7 @@ set -euo pipefail # Current commit hash on the source branch. -SRC_BRANCH=master +SRC_BRANCH=main # Switch to gh-pages branch. git checkout gh-pages
bash
d_bash_13934
--- +++ @@ -37,4 +37,4 @@ stageOpts="--stage $bamboo_ENVIRONMENT" echo 'Deploying CMR GraphDB...' -dockerRun npx serverless deploy $stageOpts +dockerRun npx serverless deploy $stageOpts --force
bash
d_bash_13935
--- +++ @@ -6,6 +6,6 @@ gulp build -cp -rf ./dist/bundle.js /var/www/api-canary/app/static/dist/bundle.js -cp -rf ./dist/bundle.js.map /var/www/api-canary/app/static/dist/bundle.js.map -cp -rf ./dist/styles.min.css /var/www/api-canary/app/static/dist/styles.min.css +cp -rf /var/www/website-canary/dist/bundle.js ...
bash
d_bash_13936
--- +++ @@ -10,7 +10,7 @@ git clone ${CF_RELEASE_URL} ( cd cf-release - git checkout ${CF_RELEASE_BRANCH} + git checkout -f ${CF_RELEASE_BRANCH} if [ $CF_RELEASE_USE_HEAD != "no" ]; then ./update
bash
d_bash_13937
--- +++ @@ -36,7 +36,7 @@ alias ebw='cd ~/dev/ios/EBW' alias fk='cd ~/dev/ios/pods/FitnessKit' alias itwire='cd ~/dev/bluemix/ITWire' -alias flagship='cd ~/dev/ios/flagship/KPFlagship' +alias flagship='cd ~/dev/ios/flagship' # reflog, markdown alias rl='cd ~/dev/www/reflog/www'
bash
d_bash_13938
--- +++ @@ -1,5 +1,21 @@ #!/bin/bash +NEW=$1 + +# If new strings have been introduced, translations need +# to be updated. +# +# Run: +# +# ./compile-translations.sh new + for i in membership sikteeri services; do - (cd $i && django-admin.py compilemessages) + ( + cd $i + if [ "$1" = "new" ]; then + django-ad...
bash
d_bash_13939
--- +++ @@ -15,6 +15,7 @@ alias ll="ls -l --color" alias la="ls -A --color" fi +alias k="k -Ah" alias grep="grep --color=auto" alias duf="du -sh * | sort -hr" alias less="less -r"
bash
d_bash_13940
--- +++ @@ -1,4 +1,8 @@ #!/usr/bin/env bash + +# Just so that our oniguruma.pc is found if +# the user doesn't have an oniguruma.pc. +export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$PWD/../rubex # Colors. RED="\e[31m"
bash
d_bash_13941
--- +++ @@ -1,3 +1,6 @@ # Show and hide hidden files in Finder alias show='defaults write com.apple.finder AppleShowAllFiles -bool true && killall Finder' alias hide='defaults write com.apple.finder AppleShowAllFiles -bool false && killall Finder' + +# Clean up LaunchServices to remove duplicates in the "Open With...
bash
d_bash_13942
--- +++ @@ -13,7 +13,7 @@ # Install python version needed and related deps # Update pyenv (for 3.5.0b3) -git -C "/home/ubuntu/.pyenv" pull +git -C ~/.pyenv pull # apt-get commands deps="espeak libclang1-3.4"
bash
d_bash_13943
--- +++ @@ -3,4 +3,11 @@ /data/set_root_pw.sh fi + + +if [ "$SSH_SERVER" == "false" ] || [ "$SSH_SERVER" == "FALSE" ] || [ "$SSH_SERVER" == "0" ]; then + sed -i 's/autostart=true/autostart=false/g' /etc/supervisor/conf.d/sshd.conf +fi + + exec supervisord -n -c /etc/supervisor/supervisord.conf
bash
d_bash_13944
--- +++ @@ -3,8 +3,18 @@ region=`ec2-metadata | sed -n 's/^local-hostname: ip-[0-9-]*\.\(.*\)\.compute\.internal/\1/p'` -ec2-describe-instances --region $region -H --show-empty-fields | gawk ' -BEGIN {OFS="\t"; print "127.0.0.1", "localhost localhost.localdomain"} -/^INSTANCE/ {ip = $18} -/^TAG/ {print ip, gensu...
bash
d_bash_13945
--- +++ @@ -19,7 +19,5 @@ # Set up database cp config/database.yml.example config/database.yml -which rake -rake --version -bundle exec rake db:create --trace -bundle exec rake db:schema:load --trace +bundle exec rake db:create +bundle exec rake db:schema:load
bash
d_bash_13946
--- +++ @@ -14,10 +14,10 @@ fi cd ${sources} -./mvnw package -DargLine="-Dlsp.lazy.completions.disable=true -Dlsp.completions.indentation.enable=true -Dlsp.yaml.completions.errors.disable=true" +./mvnw -Dmaven.test.skip=true package -DargLine="-Dlsp.lazy.completions.disable=true -Dlsp.completions.indentation.enab...
bash
d_bash_13947
--- +++ @@ -19,7 +19,3 @@ grub-install /dev/sda update-grub fi - -echo "Installing swapspace to accommodate MeCab's memory requirements..." -apt-get -y install swapspace -service swapspace start
bash
d_bash_13948
--- +++ @@ -11,7 +11,9 @@ cd tmp rm -f virtualbox.box - wget https://vagrantcloud.com/cloudfoundry/boxes/bosh-lite/versions/6/providers/virtualbox.box + box_name=bosh-lite-virtualbox-ubuntu-trusty-${BOSH_LITE_VERSION}.box + wget http://d2u2rxhdayhid5.cloudfront.net/${box_name} + mv ${box_name...
bash
d_bash_13949
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash -FIND=$(shell which gfind > /dev/null 2>&1 && echo gfind || echo find) -SED=$(shell which gsed > /dev/null 2>&1 && echo gsed || echo sed) +FIND=$(which gfind > /dev/null 2>&1 && echo gfind || echo find) +SED=$(which gsed > /dev/null 2>&1 && echo gsed || echo sed) $FIN...
bash
d_bash_13950
--- +++ @@ -1,4 +1,10 @@ #!/usr/bin/env bash + +# Do not proceed if rsvg-convert is not available +if ! type rsvg-convert &> /dev/null; then + >&2 echo 'librsvg not installed (rsvg-convert not found in PATH)' + exit +fi # The path to the directory where all icons reside ICON_DIR=app/assets/icons
bash
d_bash_13951
--- +++ @@ -4,6 +4,6 @@ source ${THISDIR}/../../../common/functions.sh source ${THISDIR}/../include.sh -scl enable $ENABLE_SCLS -- postgresql-setup --initdb +scl enable $ENABLE_SCLS -- postgresql-setup initdb service "$SERVICE_NAME" start exit $?
bash
d_bash_13952
--- +++ @@ -1,6 +1,6 @@ #! /bin/bash while true ; do - python start.py + python3 start.py sleep 30 done
bash
d_bash_13953
--- +++ @@ -16,4 +16,4 @@ fi } -add-zsh-hook precmd send_wakatime_heartbeat +precmd_functions+=(send_wakatime_heartbeat)
bash
d_bash_13954
--- +++ @@ -14,7 +14,7 @@ if [[ $COUCHDB_IMAGE == "couchdb:dev" ]]; then git clone https://github.com/apache/couchdb-docker.git cd couchdb-docker - docker build dev -t couchdb:dev + docker build dev --build-arg configure_options='--disable-fauxton --disable-docs' -t couchdb:dev cd .. rm -rf...
bash
d_bash_13955
--- +++ @@ -36,7 +36,7 @@ for f in $(getfiles "$bin" "$dir") do mkdir -p "$stage/${f%/*}" - cp $top/$f "$stage/$f" + cp $f "$stage/$f" done for f in $(getfiles "$text" "$dir") do
bash
d_bash_13956
--- +++ @@ -17,6 +17,7 @@ # replace meta values sed -i -e "s/Copyright\:.*/Copyright: Copyright 2014 Who -->/" "filydoc/data/index.md" +sed -i -e "s/GA\:.*/GA: -->/" "filydoc/data/index.md" tar czvf public_html/filydoc-1.0.3.tgz filydoc zip -r public_html/filydoc-1.0.3.zip filydoc
bash
d_bash_13957
--- +++ @@ -8,4 +8,5 @@ -f netcoreapp3.1 dotnet test tests/rm.TrieTest/rm.TrieTest.csproj \ -c Release --no-build --no-restore \ - -f netcoreapp3.1 + -f netcoreapp3.1 \ + -v normal
bash
d_bash_13958
--- +++ @@ -29,4 +29,4 @@ # Install baseline packages # TODO: detect virtualbox and install additions? -yum install -y git xinetd perl wget ssh expect +yum install -y git xinetd perl wget openssh-server expect
bash
d_bash_13959
--- +++ @@ -1,3 +1,4 @@ #!/usr/bin/env bash set -euf -o pipefail +gpg -q --fast-import scripts/codesigning.asc mvn deploy -Psign-source-javadoc --settings scripts/ci-settings.xml -DskipTests=true
bash
d_bash_13960
--- +++ @@ -1,2 +1,5 @@ #!/bin/sh -gst-launch --gst-plugin-path=`pwd`/src/.libs v4l2src ! video/x-raw-rgb,width=320, height=240 ! dmtx ! ffmpegcolorspace ! xvimagesink +gst-launch --gst-plugin-path=`pwd`/src/.libs \ + v4l2src ! video/x-raw-rgb,width=320, height=240,fps=10 ! \ + dmtx scale=2 ! \ + queue ! ffmpegcolor...
bash
d_bash_13961
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash if ./gradlew --stacktrace build publishToMavenLocal; then ./gradlew --stacktrace --settings-file=test-settings.gradle testPlugin +else + exit 1 fi
bash
d_bash_13962
--- +++ @@ -3,7 +3,7 @@ pkg_version=4.3 pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_license=('gplv2') -pkg_source=http://ftp.kernel.org/pub/linux/kernel/v4.x/linux-${pkg_version}.tar.xz +pkg_source=https://www.kernel.org/pub/linux/kernel/v4.x/linux-${pkg_version}.tar.xz pkg_shasum=4a622cc84b8...
bash
d_bash_13963
--- +++ @@ -3,12 +3,7 @@ # get fstype tb_test -c 1 lb_df_fstype tb_test -c 2 lb_df_fstype notAfile - -if [ "$(lb_detect_os)" == "macOS" ] ; then - tb_test -c 4 lb_df_fstype "$0" -else - tb_test lb_df_fstype "$0" -fi +tb_test lb_df_fstype "$0" # get space left @@ -26,12 +21,7 @@ # get disk UUID tb_test -c 1 ...
bash
d_bash_13964
--- +++ @@ -20,5 +20,6 @@ sed -i '' -e "s|^var version .*$|var version = \"$v\"|" $basedir/main.go git add $basedir/main.go -git commit -m "Release $v" -git tag $v +git commit -m "Release v$v" +git commit --amend +git tag v$v
bash
d_bash_13965
--- +++ @@ -1,4 +1,5 @@ #!/usr/bin/env bash + if [[ -z "${KAFKA_ADVERTISED_HOST_NAME// }" ]] ; then echo "KAFKA_ADVERTISED_HOST_NAME NOT DEFINED OR INVALID '$KAFKA_ADVERTISED_HOST_NAME' !!!" @@ -12,6 +13,10 @@ fi echo "Generate Kafka Broker ID: for $KUBERNETS_UID" ID=`$KAFKA_HOME/bin/kafka-run-class.sh...
bash
d_bash_13966
--- +++ @@ -37,6 +37,6 @@ case "$TARGET" in "docker-image") echo "Building Docker image" - docker build -t pragma:$(git rev-parse --short HEAD) -t pragma:latest . + docker build -t pascalw/pragma:$(git rev-parse --short HEAD) -t pascalw/pragma:latest . ;; esac
bash
d_bash_13967
--- +++ @@ -8,4 +8,4 @@ git clone https://github.com/sipb/homeworld-upstream.git upstream fi cd upstream -sha512sum --check ../SHA512SUM.UPSTREAM +sha512sum --check ../SHA512SUM.UPSTREAM || (echo "CHECKSUM MISMATCH" && false)
bash
d_bash_13968
--- +++ @@ -7,7 +7,7 @@ curl -L10 -O https://github.com/plt/racket/archive/master.tar.gz tar -zxf master.tar.gz cd racket-master/src -./configure --prefix=/app/vendor +./configure --prefix=/app/vendor --disable-docs make -sj30 make -sj30 install
bash
d_bash_13969
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh echo "Running pylint..." -pylint *.py lingtools +pylint *.py lingtools --ignore=syllabify.py,textgrid.py echo "Running flake8..." -flake8 *.py lingtools +flake8 *.py lingtools --exclude=syllabify.py,textgrid.py nosetests --with-doctest
bash
d_bash_13970
--- +++ @@ -1,7 +1,8 @@ #!/bin/sh mkdir -p dist -node src/server dist/bundle.js & ./node_modules/.bin/watchify example/*.js -o dist/bundle.js & ./node_modules/.bin/http-server example & +node src/server dist/bundle.js & +sleep 3 open http://localhost:8080 wait
bash
d_bash_13971
--- +++ @@ -1,8 +1,12 @@ #!/bin/bash -time /sw/bin/python2.7 fabric_tensor.py 90wt_0bar_contact_contact.txt -time /sw/bin/python2.7 fabric_tensor.py --3d 90wt_0bar_contact_contact.txt +#time /sw/bin/python2.7 plot_fabric_tensor.py 90wt_0bar_contact_contact.txt +time /sw/bin/python2.7 plot_fabric_tensor.py --3d 90wt_...
bash
d_bash_13972
--- +++ @@ -36,6 +36,7 @@ exit 1 else echo "Optional file $path not found" + rm -f $path fi else chmod $mode $path
bash
d_bash_13973
--- +++ @@ -7,14 +7,14 @@ array=( PySide PySide2 PyQt4 PyQt5 ) for binding in "${array[@]}" do - docker run -ti --rm -v $(pwd):/Qt.py --entrypoint="python2.7" fredrikaverpil/qt.py:2017 /Qt.py/membership.py --binding=$binding + docker run -ti --rm -v $(pwd):/Qt.py --entrypoint="python2.7" fredrikaverpil/qt.py...
bash
d_bash_13974
--- +++ @@ -12,25 +12,25 @@ while read -r line; do read -a arr <<< $line if [[ ! -z "${arr[1]}" && ! -z "${arr[2]}" ]]; then - curl -s https://platform-api.newrelic.com/platform/v1/metrics \ + curl -s "https://platform-api.newrelic.com/platform/v1/metrics" \ -H "X-License-Key: ${LICENSE_KEY}" \ ...
bash
d_bash_13975
--- +++ @@ -1 +1,22 @@ -docker run -i --rm -p 4000:4000 -v $PWD:/srv/jekyll numascott/jekylldev:v1 +docker run -i --rm -p 4000:4000 -v $PWD:/srv/jekyll numascott/jekylldev:latest + +# Breaking it down + +# docker run ... numascott/jekylldev:latest +# create a container from the latest numascott/jekyll image +# https:...
bash
d_bash_13976
--- +++ @@ -3,7 +3,9 @@ export GOOS=$1 export GOARCH=$2 -export DISTFILE="dist/buildkite-metrics-${GOOS}-${GOARCH}" + +version=$(awk -F\" '/const Version/ {print $2}' version/version.go)-${BUILDKITE_BUILD_NUMBER} +dist_file="dist/buildkite-metrics-${GOOS}-${GOARCH}-${version}" go_version="1.9.2" go_pkg="githu...
bash
d_bash_13977
--- +++ @@ -6,16 +6,22 @@ # This particular case is used to generate the test_c_tk run-time # error in the install-tree. -rm -rf bisect_test_build_dir bisect_test_install bisect_test_install_build_dir -mkdir bisect_test_build_dir bisect_test_install_build_dir -cd bisect_test_build_dir -cmake -DCMAKE_INSTALL_PREFI...
bash
d_bash_13978
--- +++ @@ -4,10 +4,10 @@ param="--noconfirm --needed -S" # gnome basis -sudo pacman $param adwaita-icon-theme gdm gnome-control-center gnome-desktop gnome-screenshot gnome-session gnome-shell gnome-shell-extensions gnome-terminal gnome-themes-standard gnome-backgrounds +sudo pacman $param adwaita-icon-theme gdm ...
bash
d_bash_13979
--- +++ @@ -1,3 +1,3 @@ -geth --datadir /geth/.lpTest init /geth/genesis.json -cp /geth/keys/* /geth/.lpTest/keystore/ -geth --datadir /geth/.lpTest --networkid 7777 --nodiscover --rpc --rpcaddr 0.0.0.0 --rpcapi eth,net,web3,personal --mine --targetgaslimit 6700000 --unlock 0,1,2,3 --password /geth/password.txt +geth...
bash
d_bash_13980
--- +++ @@ -1,15 +1,19 @@ #!/bin/bash ENMASSE_DIR=$1 DIR=`dirname $0` -set -x source $DIR/common.sh failure=0 +OPENSHIFT_URL=${OPENSHIFT_URL:-https://localhost:8443} +OPENSHIFT_USER=${OPENSHIFT_USER:-test} +OPENSHIFT_PASSWD=${OPENSHIFT_PASSWD:-test} +OPENSHIFT_PROJECT=${OPENSHIFT_PROJECT:-enmasseci} +MULTITENANT...
bash
d_bash_13981
--- +++ @@ -16,7 +16,8 @@ alias ta='tmux attach' # fast travel. -alias ftg='fast-travel go' -alias fta='fast-travel add' -alias ftd='fast-travel delete' -alias ftl='fast-travel list' +# alias ftg='fast-travel go' +# alias fta='fast-travel add' +# alias ftd='fast-travel delete' +# alias ftl='fast-travel list' +
bash
d_bash_13982
--- +++ @@ -12,4 +12,4 @@ # TODO args validation -ps aux | grep java | grep ${MAIN_CLASS_NAME} | grep ${APP_NAME} | awk '{print $2}' +ps aux | grep java | grep "${MAIN_CLASS_NAME}" | grep "${APP_NAME}" | awk '{print $2}'
bash
d_bash_13983
--- +++ @@ -2,6 +2,6 @@ alias mysql="mycli" -cdev () { +devdb () { mysql -h develop.vagrant.dev -u root }
bash
d_bash_13984
--- +++ @@ -4,4 +4,9 @@ # This will happen unless the script dl_freeciv.sh exists. # If you wish to modify this file copy it to dl_freeciv.sh and edit it. -svn --quiet export svn://svn.gna.org/svn/freeciv/$2 -r $1 freeciv +#svn --quiet export svn://svn.gna.org/svn/freeciv/$2 -r $1 freeciv + +#Temporary git repo f...
bash
d_bash_13985
--- +++ @@ -35,5 +35,6 @@ function recipe_stage { dest="$(realpath $1)" make DESTDIR="$dest" install + sed -i -e "s%//lib/libpng16.la%$dest/../sysroot/lib/libpng16.la%" "$dest/lib/libfreetype.la" skip=1 }
bash
d_bash_13986
--- +++ @@ -7,7 +7,7 @@ python -m spacy.de.download fi -if [ "${VIA}" == "sdist" ]; then +if [ "${VIA}" == "sdist" && "$TRAVIS_PULL_REQUEST" == "false" ]; then rm -rf * pip uninstall spacy wget https://api.explosion.ai/build/spacy/sdist/$TRAVIS_COMMIT @@ -16,15 +16,15 @@ fi -if [ "${VIA}" == "co...
bash
d_bash_13987
--- +++ @@ -1,8 +1,13 @@ #!/bin/sh -# Update the box +# Get the list of updates apt-get -y update + +# Upgrades the existing packages apt-get -y upgrade + +# Update new packages +apt-get -y dist-upgrade # Install dependencies apt-get -y install dkms
bash
d_bash_13988
--- +++ @@ -5,6 +5,6 @@ python3 -m unittest version=$(python -c 'import snorky; print(snorky.version)') -git tag -a "$version" +git tag -a "v${version}" python3 setup.py register -r pypi python3 setup.py sdist upload -r pypi
bash
d_bash_13989
--- +++ @@ -1,6 +1,6 @@ -export TERMINIX_ARCHIVE_PATH="/tmp/terminix/archive"; +export TILIX_ARCHIVE_PATH="/tmp/tilix/archive"; -rm -rf ${TERMINIX_ARCHIVE_PATH} +rm -rf ${TILIX_ARCHIVE_PATH} CURRENT_DIR=$(pwd) @@ -9,14 +9,14 @@ dub build --build=release --compiler=ldc2 strip tilix -./install.sh ${TERMINIX_...
bash
d_bash_13990
--- +++ @@ -5,6 +5,9 @@ set -x KEEPER_USERNAME="boxkeeper" +KEEPER_HOMEDIR="/home/$KEEPER_USERNAME" +KEEPER_SSHDIR="$KEEPER_HOMEDIR/.ssh" +KEEPER_KEYS="$KEEPER_SSHDIR/authorized_keys" RETURN_DIR=$(pwd) @@ -17,4 +20,13 @@ echo " done" fi +mkdir -p $KEEPER_SSHDIR +chmod 0700 $KEEPER_SSHDIR +touch $KEEP...
bash
d_bash_13991
--- +++ @@ -4,7 +4,11 @@ exit 1 fi -export ATMOSPHERE_HOME=/opt/dev/atmosphere +if [ "$#" -ne 1 ]; then + export ATMOSPHERE_HOME="$1" +else + export ATMOSPHERE_HOME=/opt/dev/atmosphere +fi chmod -R g+w ${ATMOSPHERE_HOME}
bash
d_bash_13992
--- +++ @@ -25,4 +25,5 @@ # source /opt/rh/python27/enable #fi -python2.7 $DIR/schedule_aws_groupwise.py +#python2.7 $DIR/schedule_aws_groupwise.py +python2.7 $DIR/schedule_aws.py
bash
d_bash_13993
--- +++ @@ -1,4 +1,7 @@ #! /bin/bash +if [ -f .coverage ]; then + rm .coverage +fi nosetests tests/unit \ --with-coverage \ --cover-package=app_integrations \
bash
d_bash_13994
--- +++ @@ -6,30 +6,14 @@ SEMVER_RELEASE_LEVEL=$(git log --oneline -1 --pretty=%B | cat | tr -d '\n' | cut -d "[" -f2 | cut -d "]" -f1) ROOT_DIR=$(pwd) -case ${SEMVER_RELEASE_LEVEL} in -*\ *) - >&2 echo "Specified release level invalid" - ;; -*) - if [ -n ${SEMVER_RELEASE_LEVEL} ]; then - case ${S...
bash
d_bash_13995
--- +++ @@ -1,13 +1,14 @@ #!/usr/bin/env bash set -e + +COMMIT=$(git rev-parse HEAD) rm -rf dist git clone -n --branch bower . dist grunt build -cp bower.json LICENSE package.json README.md dist cd dist git add -A . -git commit -m "Update bower release" +git commit -m "Update bower release from commit $COMMI...
bash
d_bash_13996
--- +++ @@ -22,3 +22,8 @@ defaults write com.apple.AppleMultitouchTrackpad Clicking -int 1 defaults -currentHost write NSGlobalDomain com.apple.mouse.tapBehavior -int 1 +# macOS 10.14 font smoothing on external display +# See http://osxdaily.com/2018/09/26/fix-blurry-thin-fonts-text-macos-mojave/ +defaults write ...
bash
d_bash_13997
--- +++ @@ -7,8 +7,8 @@ # Statement BRANCH="master" -REPO=`git config remote.origin.url` -SHA=`git rev-parse --verify HEAD` +REPO=$(git config remote.origin.url) +SHA=$(git rev-parse --verify HEAD) # Prepare git clone -b $BRANCH --single-branch $REPO $BRANCH @@ -17,7 +17,7 @@ cp -rf ../dist/* ./ # Diff -i...
bash
d_bash_13998
--- +++ @@ -1,8 +1,34 @@ #!/usr/bin/env bash + +# readlink on os x, doesn't support -f, to prevent the +# need of installing coreutils (e.g. through brew, just +# for readlink, we use the follownig substitute. +# +# source: http://stackoverflow.com/a/1116890 +function rl { + TARGET_FILE=$1 + + cd "$(dirname "$...
bash
d_bash_13999
--- +++ @@ -9,3 +9,5 @@ PUPPET_INSTALL_TYPE="agent" TEST_profile="${TEST_profile}" BEAKER_set="${BOX}" bundle exec rake beaker done done + +BEAKER_TESTMODE=agent BEAKER_set=centos7m_centos7a PUPPET_INSTALL_TYPE=agent bundle exec rake beaker
bash